# Other Ways to configure a witness node

The witness node can be configured into different types of node based on the usage and requirements.

1. An **API node** provides network services to client applications. They usually have an account transaction histories accessible through API calls, but can vary in the amount of available history. These nodes have an open RPC port to expose the API. Click the link to learn about, [how to configure an API Node?](https://peerplays.gitbook.io/peerplays-infrastructure-docs/\~/changes/0IXXeM79c2vnSTcZBjuH/witnesses/other-ways-to-configure-a-witness-node/peerplays-api-nodes-and-installation-guide)
2. _Sidechain Operator Nodes_ - SONs facilitate the transfer of off-chain assets (like Bitcoin, Hive, or Ethereum tokens) between the Peerplays chain and the asset's native chain. These nodes often run the Peerplays node software and node software of other chains. Click the link to learn about [how to configure a SON node?](https://peerplays.gitbook.io/peerplays-infrastructure-docs/\~/changes/0IXXeM79c2vnSTcZBjuH/sidechain-operator-nodes-sons/installation-guides)
3. A delayed node allows the user to introduce a delay in the flow of the messages between nodes. It is used in the scenario where there is a need to control the timing of message processing. Click the link to learn about, [how to configure a delayed node? ](https://peerplays.gitbook.io/peerplays-infrastructure-docs/\~/changes/0IXXeM79c2vnSTcZBjuH/witnesses/other-ways-to-configure-a-witness-node/configuring-witness-node-as-delayed-node)
